;------------------
; Hit by Fast Kung Fu Palm - shaking from the hit
; (a custom gethit state)
; See State 1020 for details
[Statedef 1221]
type    = A
movetype= H
physics = N
velset = 0,0

[State 1025, Anim] ;Custom animation
type = ChangeAnim2
Trigger1 = Anim != 1222
value = 1221

[State 1025, State]
type = ChangeState
trigger1 = HitShakeOver = 1
value = 1223

;------------------
; Hit by Fast Kung Fu Palm - flying through the air
; (a custom gethit state)
[Statedef 1223]
type    = A
movetype= H
physics = N
velset = 12, 0

[State 1025, Anim] ;Custom animation
type = ChangeAnim2
Trigger1 = Anim != 1224
value = 1223

[State 1026, Velocity]
type = HitVelSet
trigger1 = Time = 0
x = 1
;y = 0

;[State 1026, Gravity]
;type = VelAdd
;trigger1 = 1
;y = .45

[State 1026, No scroll]
type = ScreenBound
triggerall = Pos y < -15
trigger1 = BackEdgeBodyDist < 65
trigger2 = FrontEdgeBodyDist < 65
value = 1
movecamera = 0,1

[State 1026, Hit wall]
type = ChangeState
;triggerall = Pos y < -15
trigger1 = BackEdgeBodyDist <= 30
trigger2 = FrontEdgeBodyDist <= 30
value = 1225

[State 1026, Hit ground]
type = SelfState
trigger1 = (Vel y > 0) && (Pos y >= 0)
value = 5100

;------------------
; Hit by Fast Kung Fu Palm - hit wall
; (a custom gethit state)
[Statedef 1225]
type    = A
movetype= H
physics = N

[State arh]
type = velset
trigger1 = 1
x = 0

[State 1025, Anim] ;Custom animation
type = ChangeAnim2
Trigger1 = time = 0;Anim != 1226
value = 1225

[State 1027, Turn]
type = Turn
trigger1 = (Time = 0) && (FrontEdgeBodyDist <= 30)

;[State 1027, Pos]
;type = PosAdd
;trigger1 = Time = 0
;x = 15 - BackEdgeBodyDist

[State 1027, Stop moving]
type = PosFreeze
trigger1 = 1
x = 1
y = 1

[State 1027, No scroll]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,1

[State 1027, Spark]
type = Explod
trigger1 = Time = 0
anim = F72
pos = 0, floor (screenpos y) - 50
postype = back
sprpriority = 3

;[State 1027, Anim]
;type = ChangeAnim2
;trigger1 = Time = 0
;value = 1225

;[State 1027, Anim]
;type = ChangeAnim2
;trigger1 = Time = 0
;trigger1 = Name = "Gill"
;trigger1 = Authorname = "GM"
;trigger1 = Facing = -1
;value = 1226

[State 1027, Sound]
type = PlaySnd
trigger1 = Time = 0
value = F7,0

[State 1027, State]
type = ChangeState
trigger1 = AnimTime = 0
value = 1228

;------------------
; Hit by Fast Kung Fu Palm - bounce off wall
; (a custom gethit state)
[Statedef 1228]
type    = A
movetype= H
physics = N

[State argh]
type = velset
trigger1 = 1
x = 0

[State 1028, 1]
type = NotHitBy
trigger1 = 1
value = , NA, NP

[State 1028, Gravity]
type = gravity
trigger1 = 1

[State 1028, Anim 5050] ;Self falling animation
type = ChangeAnim
trigger1 = Time = 0
trigger1 = !SelfAnimExist(5052)
value = 5050

[State 1028, Anim 5052] ;Self falling animation (diagup type)
type = ChangeAnim
trigger1 = Time = 0
trigger1 = SelfAnimExist(5052)
value = 5052

[State 1028, Anim 5060] ;Coming down - normal
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5050
trigger1 = SelfAnimExist(5060)
persistent = 0
value = 5060

[State 1028, Anim 5062] ;Coming down - diagup type
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5052
trigger1 = SelfAnimExist(5062)
persistent = 0
value = 5062

[State 1028, Hit ground]
type = SelfState
trigger1 = (Vel y > 0) && (Pos y >= 0)
value = 5100
