;IT'S ALL ABOUT MY TOP SECRET CMD


;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "Groove Master 1"
command = ~D, DB, B, D, DB, B, a
time = 20

[Command]
name = "Enter the Groove Master"
command = ~D, DB, B, D, DB, B, b
time = 20

;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, x+y

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_a"
command = ~D, DB, B, a

[Command]
name = "QCB_b"
command = ~D, DB, B, b

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "evade";Required (do not remove)
command = x+a
time = 1

[Command]
name = "gc";Required (do not remove)
command = y+b
time = 1

[Command]
name = "fi";Required (do not remove)
command = y+a
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "DU"
command = $D, $U
time = 10

;---------------------------------------------------------------------------
; 2. State entry
;---------------------------------------------------------------------------
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;Groove Master
[State -1, Groove Master (light)]
type = ChangeState
value = 3020
triggerall = command = "Enter the Groove Master"
triggerall = power >= 2000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,3050)
trigger2 = movecontact

;---------------------------------------------------------------------------
;Groove Master
[State -1, Groove Master (light)]
type = ChangeState
value = 3000
triggerall = command = "Groove Master 1"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,3050)
trigger2 = movecontact

;===========================================================================
;This is not a move, but it sets up var(1) to be 1 if conditions are right
;for a combo into a special move (used below).
;Since a lot of special moves rely on the same conditions, this reduces
;redundant logic.
[State -1, Combo condition Reset]
type = VarSet
trigger1 = 1
var(1) = 0

[State -1, Combo condition Check]
type = VarSet
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
var(1) = 1
;---------------------------------------------------------------------------
;Light Funky Impact
[State -1, Light Funky Impact]
type = ChangeState
value = 1200
triggerall = command = "QCF_x"
trigger1 = statetype != A
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = stateno = [200,245]
trigger2 = stateno !=210 && stateno != 230
trigger2 = movecontact
trigger3 = stateno = [400,435]
trigger3 = movecontact
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;---------------------------------------------------------------------------
;Strong Funky Impact
[State -1, Light Funky Impact]
type = ChangeState
value = 1210
triggerall = command = "QCF_y"
trigger1 = statetype != A
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = stateno = [200,245]
trigger2 = stateno !=210 && stateno != 230
trigger2 = movecontact
trigger3 = stateno = [400,435]
trigger3 = movecontact
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;---------------------------------------------------------------------------
;Light Arc Fliegan
[State -1, Strong Arc Fliegan]
type = ChangeState
value = 1110
triggerall = command = "QCB_b"
trigger1 = statetype != A
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = stateno = [200,245]
trigger2 = stateno !=210 && stateno != 230
trigger2 = movecontact
trigger3 = stateno = [400,435]
trigger3 = movecontact
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Light Arc Fliegan
[State -1, Light Arc Fliegan]
type = ChangeState
value = 1100
triggerall = command = "QCB_a"
trigger1 = statetype != A
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = stateno = [200,245]
trigger2 = stateno !=210 && stateno != 230
trigger2 = movecontact
trigger3 = stateno = [400,435]
trigger3 = movecontact
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Strong Retro Knuckle
;p`
[State -1, Strong Retro Knuckle]
type = ChangeState
value = 1010
triggerall = command = "QCB_y"
;triggerall = command != "holddown"
trigger1 = statetype != A
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = stateno = [200,245]
trigger2 = stateno !=210 && stateno != 230
trigger2 = movecontact
trigger3 = stateno = [400,435]
trigger3 = movecontact
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;---------------------------------------------------------------------------
;Retro Knuckle
;p`
[State -1, Retro Knuckle]
type = ChangeState
value = 1000
triggerall = command = "QCB_x"
;triggerall = command != "holddown"
trigger1 = statetype != A
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = stateno = [200,245]
trigger2 = stateno !=210 && stateno != 230
trigger2 = movecontact
trigger3 = stateno = [400,435]
trigger3 = movecontact
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;---------------------------------------

;===========================================================================
[State -1, Gaudy Punch]
type=changestate
value=1300
triggerall= (command="x" || command="y") && var(45)>=3
triggerall= roundstate=2 && statetype!=A
trigger1= ctrl || stateno=40 || stateno=52 || (stateno=[100,101])
trigger2 = stateno = [400,435]
trigger2 = movecontact
trigger3 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;Super Jump
[State -1, SJ]
type = ChangeState
value = ifelse((var(3)=2),9001,9000)
triggerall = !var(55)
trigger1 = command = "DU"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (StateNo = 100) && (Command = "holdfwd")
trigger2 = command = "holdup"
trigger2 = statetype != A

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(56) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
triggerall = var(56) = 0
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
;--------------------------------------------------
;JONES GROOVE
[State -1: ChangeState]
type = ChangeState
value = 9050
triggerall = (Power > 1000) && (Var(56) = 0)
triggerall = Stateno != [120,155]
trigger1 = (Command = "gc") && (StateType = S) && (Ctrl)
;-----------------------------------------------
;Guard Cancel
[State -1, farts]
type = changestate
value = 1240
triggerall = command = "gc"
trigger1 = Time <= 6
trigger1 = Statetype = S
trigger1 = Stateno = 151 || Stateno = 150
trigger1 = power >= 1000
;-------------------------------------------------
;Evade
;p`
[State -1, Evade]
type = ChangeState
value = 706
triggerall = var(56) = 0
triggerall = command = "evade"
triggerall = command = "holdback"
trigger1 = statetype != A
trigger1= ctrl
;trigger2 = stateno = 205
;trigger2 = time > 6
;--------------------------------------------------
;Evade
;p`
[State -1, Evade]
type = ChangeState
value = 705
triggerall = var(56) = 0
triggerall = command = "evade"
triggerall = command = "holdfwd"
trigger1 = statetype != A
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
;trigger2 = stateno = 205
;trigger2 = time > 6

;--------------------------------------------------
;Evade
;p`
[State -1, Evade]
type = ChangeState
value = 700
triggerall = var(56) = 0
triggerall = command = "evade"
triggerall = command != "holdfwd" || command != "holdback"
trigger1 = statetype != A
trigger1= ctrl
;trigger2 = stateno = 205
;trigger2 = time > 6

;---------------------------------------------------------------------------
;Kung Fu Throw
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;===========================================================================
;---------------------------------------------------------------------------
;Overhead Light Punch
;p`
[State -1, Overhead Light Punch]
type = ChangeState
value = 207
triggerall = command = "x" && command = "holdfwd"
triggerall = command != "holddown"
triggerall = command != "evade"
trigger1 = statetype = S
trigger1= ctrl; || (stateno=[100,101]); "Has control or is running"
trigger2 = (stateno = [200,205]) && movecontact || (stateno = [210,245]) && movecontact
trigger3 = (stateno = [400,410]) && movecontact || (stateno = 430) && movecontact  || (stateno = 440) && movecontact
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = P2dist X >= 52
triggerall = command = "x"
triggerall = statetype != A
trigger1 = statetype = S
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = stateno = 205
trigger2 = time > 6
trigger3 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;===========================================================================
;---------------------------------------------------------------------------
;Close Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 205
triggerall = P2dist X <= 52
triggerall = command = "x"
triggerall = statetype != A
trigger1 = statetype = S
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = stateno = 205
trigger2 = time > 6
trigger3 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;===========================================================================
;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = P2dist X >= 80
triggerall = command = "y"
;triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = statetype = S
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;===========================================================================
;---------------------------------------------------------------------------
;Close Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 215
triggerall = P2dist X <= 80
triggerall = command = "y"
;triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = statetype = S
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = P2dist X >= 52
triggerall = command = "a"
;triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = statetype = S
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = (stateno = 200) && time > 7
trigger3 = (stateno = 230) && time > 9
trigger2 = (stateno = 235) && movehit
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Close Stand Light Kick
;LbN
[State -1, Close Stand Light Kick]
type = ChangeState
value = 235
triggerall = P2dist X <= 52
triggerall = command = "a"
;triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = statetype = S
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = P2dist X >= 52
triggerall = command = "b"
;triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = statetype = S
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;---------------------------------------------------------------------------
;Close Strong Kick
;LbN
[State -1, Close Strong Kick]
type = ChangeState
value = 245
triggerall = P2dist X <= 52
triggerall = command = "b"
;triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = statetype = S
trigger1= ctrl || (stateno=[100,101]); "Has control or is running"
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)
trigger3 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 435
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = command = "holdfwd"
triggerall = statetype != A
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)
trigger3 = stateno = [200,245]
trigger3 = movecontact
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = statetime >= 7
trigger3 = stateno = 1350 ;Air blocking
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
triggerall = vel x = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)
;---------------------------------------------------------------------------
;Moving Jump Strong Punch
[State -1, Moving Jump Strong Punch]
type = ChangeState
value = 615
triggerall = command = "y"
triggerall = vel x != 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)


;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 1350 ;Air blocking
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
triggerall = vel x = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)

;---------------------------------------------------------------------------
;Bicycle Kick
;󒆋LbN
[State -1, Bicycle Kick]
type = ChangeState
value = 645
triggerall = command = "b"
triggerall = vel x != 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking
trigger4 = (StateType = S) && (MoveContact) && (Var(56) > 0)
