;---------------------------------------------------------------------------
; Groove Master (Light)
[Statedef 3000]
type    = A
movetype= A
physics = N
juggle  = 0
velset = 0,0
anim = 3000
ctrl = 0
sprpriority = 2
ID = 3000

[State 190]
type = velset
trigger1 = Time = 3
x = (6*exp((0.11778303565638345453879410947052)*(time)))

[State 190]
type = velset
trigger1 = Animelemtime(6)= 2
x = 0

[State 190]
type = velset
trigger1 = Time = 19
y = -6.5

[State 1101, pos]
type = Veladd
trigger1 = Time > 19 ;Should be one tick after the velset was applied in order to prevent the controller from subtracting velocity before it should.
y = 0.1875

[State 190]
type = velset
trigger1 = Time = 44
y = 0

[State 190]
type = veladd
trigger1 = Time > 44
y = 0.5

[State 0, Helper]
type = Helper
triggerall = var(38) = 0
trigger1 = Time = 1
helpertype = normal ;player
name = "SuperBG"
ID = 4051
stateno = 4050
pos = 160,-70
postype = left    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 0
supermovetime = 30
pausemovetime = 30
size.xscale =0.5
size.yscale =0.5
;ignorehitpause =
;persistent =

[State 3000, Super A]
type = SuperPause
triggerall = var(38) = 1
trigger1 = AnimElem = 1;Time = 1
pos = 0, -57
time = 90
anim = -1
;sound = S3, 0
poweradd = -1000

[State 3000, Super A]
type = SuperPause
triggerall = var(38) = 0
trigger1 = Time = 1
pos = 0, -57
time = 30
anim = S4052
sound = S3, 0
poweradd = -1000

[State 3000, 2]
type = Helper
triggerall = var(38) = 1
trigger1 = AnimElem = 1
stateno = 3005
pausemovetime = 99999999
supermovetime = 99999999

[State 3000, Super B]
type = AfterImage
trigger1 = AnimElem = 2, 1
time = 2

[State 1000, 5] ;Opponent near
type = HitDef
trigger1 = AnimElem = 5
triggerall = !movehit
attr = S, SA
animtype  = Hard
damage    = 27, 4
priority  = 5
guardflag = LA
pausetime = 20,20
sparkno = s4001
guard.sparkno = S4005
sparkxy = -10,-90
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -.5,-6
air.velocity = -2,-6
air.juggle = 15
id = 3000
fall = 1
fall.recover = 0
yaccel = .5
getpower = 0
givepower = 13,13

[State 1000, 5] ;Opponent near
type = HitDef
trigger1 = AnimElem = 9 || Animelem = 11 || Animelem = 13 || Animelem = 15
attr = S, SA
animtype  = Hard
damage    = 38, 4
priority  = 5
guardflag = MA
pausetime = 20,20
sparkno = s4001
sparkxy = -10,-90
guard.sparkno = S4005
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -.5,-6
air.velocity = -.5,-6
air.juggle = 15
fall = 1
fall.recover = 0
id = 3000
yaccel = .5
getpower = 0
givepower = 13,13

[State 3000, Super C]
type = AfterImageTime
trigger1 = AnimElemTime(2) >= 1 && Time < 60
time = 2

[State 3000, Super D]
type = NotHitBy
trigger1 = AnimElem = 2
value = , NA, SA, AT
time = 11

[State 3000, Super E]
type = NotHitBy
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(14) < 0
value2 = C, NA
time = 1

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 5,1
channel = 0


[State 3000, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;------------------------wp[
[Statedef 3005]
type = A
movetype = I
physics = N
anim = 20000
velset = 0,0
ctrl = 0

[State -3, Sound]
type = PlaySND
trigger1 = Time = 12
value = 7800,0

[State 6000, 1]
type = BindToRoot
trigger1 = Time = 0
pos = 0,0

[State 6000, 1]
type = AssertSpecial
trigger1 = 1
flag = noFG

[State 6000, 1]
type = Explod
trigger1 = Time = 0
anim = 8020
bindtime = -1
postype = left
scale = 1.06,1.08
supermovetime = 99999999
ontop = 1
sprpriority = 5
ownpal = 1

[State 6000, 1]
type = Explod
trigger1 = Time = 0
anim = 3005
bindtime = -1
removetime = 90
supermovetime = 99999999
ontop = 1
sprpriority = 6
ownpal = 1

[State 6000, 1]
type = VarSet
trigger1 = Time = 0
fvar(0) = (-Pos X / 20) * facing

[State 6000, 1]
type = VarSet
trigger1 = Time = 0
fvar(1) = (170 - ScreenPos Y) / 8

[State 6000, 1]
type = PosAdd
trigger1 = Time < 21
x = fvar(0)

[State 6000, 1]
type = PosAdd
trigger1 = Time < 9
y = fvar(1)

[State 6000, 1]
type = PosAdd
trigger1 = Time > 70
x = -fvar(0)

[State 6000, 1]
type = PosAdd
trigger1 = Time = [70,78)
y = -fvar(1)

[State 6000, 1]
type = DestroySelf
trigger1 = Time = 90

;---------------------------------------------------------------------------
; Enter the Groove Master (Heavy)
[Statedef 3020]
type    = A
movetype= A
physics = N
juggle  = 0
velset = 0,0
anim = 3020
ctrl = 0
sprpriority = 2
id = 3000

[State 0, Helper]
type = Helper
triggerall = var(38) = 0
trigger1 = Time = 1
helpertype = normal ;player
name = "SuperBG"
ID = 4051
stateno = 4050
pos = 160,-70
postype = left    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 0
supermovetime = 30
pausemovetime = 30
size.xscale =0.5
size.yscale =0.5

[State 190]
type = velset
trigger1 = Time = 3
x = (6*exp((0.11778303565638345453879410947052)*(time)))

[State 190]
type = velset
trigger1 = Animelemtime(6)= 2
x = 0

[State 190]
type = velset
trigger1 = Time = 21
y = -8

[State 1101, pos]
type = Veladd
trigger1 = Time > 21 ;Should be one tick after the velset was applied in order to prevent the controller from subtracting velocity before it should.
y = 0.1875

[State 190]
type = velset
trigger1 = Time = 21
x = (3*exp((-0.023716526617316042118346850528673)*(time)))

[State 190]
type = velset
trigger1 = Time = 59
y = 0
x = 0

[State 190]
type = veladd
trigger1 = Time > 59
y = 0.5

[State 3000, Super A]
type = SuperPause
triggerall = var(38) = 0
trigger1 = Time = 1
pos = 0, -57
time = 30
anim = S4052
sound = S3, 0
poweradd = -2000

[State 3000, Super A]
type = SuperPause
triggerall = var(38) = 1
trigger1 = Animelem = 1
pos = 0, -57
time = 90
anim = -1;S4052;100
;sound = ;S3, 0
poweradd = -2000

[State 3000, 2]
type = Helper
triggerall = var(38) = 1
trigger1 = AnimElem = 1
stateno = 3105
pausemovetime = 99999999
supermovetime = 99999999

[State 3000, Super B]
type = AfterImage
trigger1 = AnimElem = 2, 1
time = 2

[State 1000, 5] ;Opponent near
type = HitDef
trigger1 = AnimElem = 5
triggerall = !movehit
attr = S, SA
animtype  = Hard
damage    = 27, 4
priority  = 5
guardflag = LA
pausetime = 20,20
sparkno = s4001
guard.sparkno = S4005
sparkxy = -10,-90
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -.5,-6
id = 3000
air.velocity = -2,-6
fall = 1
fall.recover = 0
yaccel = .5
getpower = 0
givepower = 13,13

[State 1000, 5] ;Opponent near
type = HitDef
trigger1 = AnimElem = 9 || Animelem = 11 || Animelem = 13
attr = S, SA
animtype  = Hard
damage    = 55, 4
priority  = 5
guard.sparkno = S4005
guardflag = MA
pausetime = 20,20
sparkno = s4001
sparkxy = -10,-90
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -.5,-6
air.velocity = -.5,-6
fall = 1
fall.recover = 0
yaccel = .5
getpower = 0
givepower = 13,13

[State 1000, 5] ;Opponent near
type = HitDef
trigger1 = Animelem = 15 || Animelem = 17
attr = S, SA
animtype  = Hard
damage    = 38, 4
priority  = 5
guardflag = MA
pausetime = 20,20
sparkno = s4001
sparkxy = -10,-90
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
guard.sparkno = S4005
ground.hittime  = 15
id = 3000
ground.velocity = -.5,-6
air.velocity = -.5,-6
fall = 1
fall.recover = 0
yaccel = .5
getpower = 0
givepower = 13,13

[State 1000, 5] ;Opponent near
type = HitDef
trigger1 =  Animelem = 19
attr = S, SA
animtype  = Hard
damage    = 83, 4
priority  = 5
guardflag = MA
pausetime = 20,20
sparkno = s4001
sparkxy = -10,-90
hitsound   = S1, 2
guard.sparkno = S4005
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -.5,-6
id = 3000
air.velocity = -.5,-6
air.juggle = 15
fall = 1
fall.recover = 0
yaccel = .5
getpower = 0
givepower = 13,13

[State 3000, Super C]
type = AfterImageTime
trigger1 = AnimElemTime(2) >= 1 && Time < 60
time = 2

[State 3000, Super D]
type = NotHitBy
trigger1 = AnimElem = 2
value = , NA, SA, AT
time = 11

[State 3000, Super E]
type = NotHitBy
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(14) < 0
value2 = C, NA
time = 1

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 5,1
channel = 0

[State 3000, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;------------------------wp[
[Statedef 3105]
type = A
movetype = I
physics = N
anim = 20000
velset = 0,0
ctrl = 0

[State 52, PlaySnd]
type = PlaySnd
trigger1 = Time = 12
value = 7800,1

[State 6000, 1]
type = BindToRoot
trigger1 = Time = 0
pos = 0,0

[State 6000, 1]
type = AssertSpecial
trigger1 = 1
flag = noFG

[State 6000, 1]
type = Explod
trigger1 = Time = 0
anim = 8021
bindtime = -1
postype = left
scale = 1.06,1.08
supermovetime = 99999999
ontop = 1
sprpriority = 5
ownpal = 1

[State 6000, 1]
type = Explod
trigger1 = Time = 0
anim = 3005
bindtime = -1
removetime = 90
supermovetime = 99999999
ontop = 1
sprpriority = 6
ownpal = 1

[State 6000, 1]
type = VarSet
trigger1 = Time = 0
fvar(0) = (-Pos X / 20) * facing

[State 6000, 1]
type = VarSet
trigger1 = Time = 0
fvar(1) = (170 - ScreenPos Y) / 8

[State 6000, 1]
type = PosAdd
trigger1 = Time < 21
x = fvar(0)

[State 6000, 1]
type = PosAdd
trigger1 = Time < 9
y = fvar(1)

[State 6000, 1]
type = PosAdd
trigger1 = Time > 70
x = -fvar(0)

[State 6000, 1]
type = PosAdd
trigger1 = Time = [70,78)
y = -fvar(1)

[State 6002, 1]
type = null;BGPalFX
trigger1 = Time = 89
time = 21
color = 28
add = -256,-256,-256
mul = 144,144,176
sinadd = 288,288,320,80

[State 6002, 1]
type = null;BGPalFX
trigger1 = Time >= 110
time = 1
color = 28
add = 32,32,64
mul = 144,144,176

[State 6002, 1]
type = null;BGPalFX
trigger1 = root,StateNo != [3100,3110]
time = 21
color = 28
add = 32,32,64
mul = 144,144,176
sinadd = -256,-256,-256,80

[State 6002, 1]
type = DestroySelf
trigger1 = Time = 90

