;---------------------------------------------------------------------------
; Retro Knuckle (light)
[Statedef 1000]
type    = S
movetype= A
physics = N
juggle  = 15
poweradd = 138*(!var(56))
anim = 1000
ctrl = 0
sprpriority = 2

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,4
channel = 0

[State 1402, VelSet]
type = VelSet
trigger1 = animelemtime(4) >= 0 && animelemtime(8) < 0
x = (7.5*exp((-0.029963223377443216155333855213493)*(time-7)))

[State 1402, VelSet]
type = VelSet
trigger1 = Time = 20
x = 0

[State 1000, 5] ;Opponent near
type = HitDef
trigger1 = AnimElem = 5
trigger2 = AnimElem = 6
triggerall = !movehit
attr = S, SA
animtype  = Hard
damage    = 111, 16
priority  = 5
guardflag = MA
pausetime = 15,15
nochainid = 3000
guard.sparkno = S4005
sparkno = s4001
sparkxy = -10,-90
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -2,-9
air.velocity = -2,-9
fall = 1
fall.recover = 0
getpower = 138*(!var(56)), 138*(!var(56))
givepower = 27, 13
persistent = 0

[State 1000, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Retro Knuckle (strong)
[Statedef 1010]
type    = S
movetype= A
physics = N
juggle  = 15
poweradd = 138*(!var(56))
velset = 0,0
anim = 1010
ctrl = 0
sprpriority = 2

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,4
channel = 0

[State 1402, VelSet]
type = VelSet
trigger1 = animelemtime(4) >= 0 && animelemtime(6) < 9
x = (9.5*exp((-0.054067221270275767801304836584626)*(time-18)))

[State 1402, VelSet]
type = VelSet
trigger1 = time = 28
trigger2 = Animelem = 8
x = 0

[State 1402]
type = veladd
trigger1 = animelemtime(7) >= 0 && animelemtime(7) < 4
x = -0.5

[State 1010, 6] ;Opponent near
type = HitDef
trigger1 = AnimElem = 5
attr = S, SA
animtype  = Hard
damage    = 27, 11
priority  = 5
guard.sparkno = S4005
sparkno = s4001
guardflag = MA
pausetime = 15,15
sparkxy = -10,-60
hitsound   = S1, 2
guardsound = S1,6
nochainid = 3000
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -2,-9
air.velocity = -2,-9
yaccel = 0.5
fall = 1
getpower = 69*(!var(56)), 69*(!var(56))
givepower = 13, 13

[State 1010, 6]
type = HitDef
trigger1 = AnimElem = 6
attr = S, SA
animtype  = Hard
damage    = 100, 11
priority  = 5
guardflag = MA
pausetime = 15,15
sparkno = s4001
guard.sparkno = S4005
sparkxy = -10,-60
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -2,-9
air.velocity = -2,-9
fall = 1
fall.recover = 0
getpower = 138*(!var(56)), 138*(!var(56))
givepower = 27, 13

[State 1010, 8]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Light Arc Fliegan
[Statedef 1100]
type    = A
movetype= A
physics = N
juggle  = 15
poweradd= 138*(!var(56))
velset = 0,0
anim = 1100
ctrl = 0
sprpriority = 2

[State 1100, VelSet]
type = VelSet
trigger1 = time = 3 ;Can be anything
y = -6

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,3
channel = 0

[State 1100, pos]
type = Veladd
trigger1 = time > 3 ;Should be one tick after the velset was applied in order to prevent the controller from subtracting velocity before it should.
y = .50

[State 1100, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, 2


[State 1100, 2]
type = HitDef
trigger1 = Animelem = 5
attr = S, SA
animtype  = Med
damage    = 44, 11
priority  = 5
guardflag = MA
pausetime = 15,15
sparkno = s4001
guard.sparkno = S4005
nochainid = 3000
sparkxy = 0,-48
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 15
ground.hittime  = 18
ground.velocity = -1.5,-6
guard.velocity = -6
air.velocity = -1.5,-6
airguard.velocity = -4,-4.5
fall.recover = 0
p2facing = 1
fall = 1
getpower = 69*(!var(56)), 69*(!var(56))
givepower = 13, 13

[State 1100, 2]
type = HitDef
trigger1 =  Animelem = 7
attr = S, SA
animtype  = Med
damage    = 84, 11
priority  = 5
guardflag = MA
pausetime = 15,15
sparkno = s4001
guard.sparkno = S4005
nochainid = 3000
sparkxy = 0,-48
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 15
ground.hittime  = 18
ground.velocity = -1.5,-6
guard.velocity = -6
air.velocity = -1.5,-6
airguard.velocity = -4,-4.5
p2facing = 1
fall = 1
getpower = 69*(!var(56)), 69*(!var(56))
givepower = 13, 13

[State 1100, 5]
type = posset
trigger1 = pos y >= 0
y = 0

[State 1100, 5]
type = ChangeState
trigger1 = Time > 3
trigger1 = Pos Y >= 0
value = 1101
;---------------------------------------------------------------------------
[Statedef 1101]
type    = S
movetype= I
physics = N
velset = 0,0
anim = 1101
ctrl = 0
sprpriority = 2

[State back to the future]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Strong Arc Fliegan
[Statedef 1110]
type    = A
movetype= A
physics = N
juggle  = 15
poweradd= 138*(!var(56))
velset = 0,0
anim = 1110
ctrl = 0
sprpriority = 2

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,3
channel = 0

[State 1100, VelSet]
type = VelSet
trigger1 = time = 3
y = -6

[State 1100, pos]
type = Veladd
trigger1 = time > 3
y = .50

[State 1402, VelSet]
type = VelSet
trigger1 = time > 3
x = 4

[State 1100, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, 2

[State 1100, 2]
type = HitDef
trigger1 = Animelem = 5
attr = S, SA
animtype  = Med
damage    = 44, 11
priority  = 5
guard.sparkno = S4005
sparkno = S4001
guardflag = MA
pausetime = 15,15
sparkxy = 0,-60
hitsound   = S1, 2
nochainid = 3000
guardsound = S1,6
ground.type = Low
ground.slidetime = 15
ground.hittime  = 18
ground.velocity = -1.5,-6
guard.velocity = -6
air.velocity = -1.5,-6
airguard.velocity = -4,-4.5
p2facing = 1
fall = 1
fall.recover = 0
getpower = 69*(!var(56)), 69*(!var(56))
givepower = 13, 13

[State 1100, 2]
type = HitDef
trigger1 = Animelem = 7
attr = S, SA
animtype  = Med
damage    = 55, 11
priority  = 5
guard.sparkno = S4005
sparkno = S4001
guardflag = MA
pausetime = 15,15
sparkxy = 0,-60
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
nochainid = 3000
ground.slidetime = 15
ground.hittime  = 18
ground.velocity = -1.5,-6
guard.velocity = -6
air.velocity = -1.5,-6
airguard.velocity = -4,-4.5
p2facing = 1
fall = 1
getpower = 69*(!var(56)), 69*(!var(56))
givepower = 13, 13

[State 1100, 5]
type = posset
trigger1 = pos y >= 0
y = 0

[State 1100, 5]
type = velset
trigger1 = pos y >= 0
x = 0

[State 1100, 5]
type = ChangeState
trigger1 = Time > 3
trigger1 = Pos Y >= 0
value = 1101
;---------------------------------------------------------------------------
[Statedef 1101]
type    = S
movetype= I
physics = N
velset = 0,0
anim = 1101
ctrl = 0
sprpriority = 2

[State back to the future]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
; Funky Impact
[Statedef 1200]
type    = S
movetype= A
physics = S
juggle  = 15
poweradd = 138*(!var(56))
velset = 0,0
anim = 1200
ctrl = 0
sprpriority = 2

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,5
channel = 0

[State 0, Explod]
type = Explod
trigger1 = Animelem = 5
anim = 4500
ID = 4500
pos = 95,-85
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 0,0
accel = 0,0
nochainid = 3000
random = 0,0
removetime = -2
supermove
pausemove
scale = 0.5,0.5
sprpriority = 3
ontop = 1
shadow = 0,0,0
ownpal = 1
removeongethit = 0
;ignorehitpause =
;persistent =


[State 1200, Shake Screen]
type = EnvShake
trigger1 = AnimElem = 5
time = 10     ;Time to shake screen
ampl = 6     ;Amount to shake
freq = 90   ;A frequency of 180 shakes the screen rapidly

[State 1200, 2]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype  = Hard
pausetime = 30,30
damage    = 111, 11
sparkno = s4001
priority  = 5
guardflag = MA
pausetime = 12,12
guard.sparkno = S4005
sparkxy = -8,-69
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 16
ground.hittime  = 18
nochainid = 3000
ground.velocity = -12
ground.cornerpush.veloff = -12 ;To push far away when p2 is in corner
guard.velocity = 0
air.velocity = -12
airguard.velocity = -3.5,-4.5
p2facing = 1
getpower = 138*(!var(56)), 138*(!var(56))
givepower = 27, 13

[State 1020, 7]
type = TargetState
trigger1 = MoveHit
trigger1 = NumTarget
value = 1221
persistent = 0
ignorehitpause = 1

[State 1200, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Strong Funky Impact
; CNS difficulty: easy
[Statedef 1210]
type    = S
movetype= A
physics = S
juggle  = 15
poweradd = 138*(!var(56))
velset = 0,0
anim = 1210
ctrl = 0
sprpriority = 2

[state 0,0]
type = hitadd
triggerall = !var(56)
trigger1 = time = 0
value = (enemy,gethitvar(hitcount))*-1

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,5
channel = 0

[State 0, Explod]
type = Explod
trigger1 = Animelem = 5
anim = 4500
ID = 4500
pos = 95,-85
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -2
supermove
pausemove
scale = 0.5,0.5
sprpriority = 3
ontop = 1
shadow = 0,0,0
ownpal = 1
removeongethit = 0
;ignorehitpause =
;persistent =

[State 0, ReversalDef]
type = ReversalDef
trigger1 = Time >= 11 && Time <=26
reversal.attr = SCA, AA, AP
hitflag = MAF
numhits = 0
pausetime = 10,1
sparkno = S4005
hitsound = S1,10
sparkxy = 0,-10

[State 1200, Shake Screen]
type = EnvShake
trigger1 = AnimElem = 5
time = 10     ;Time to shake screen
ampl = 6     ;Amount to shake
freq = 90   ;A frequency of 180 shakes the screen rapidly

[State 1200, 2]
type = HitDef
trigger1 = Time >= 26 && (!var(56))
trigger2 = Time <= 26 && (var(56))
triggerall = animelem = 5
attr = S, SA
animtype  = Hard
pausetime = 30,30
damage    = 111, 11
priority  = 5
guardflag = M
pausetime = 12,12
sparkno = s4001
guard.sparkno = S4006
sparkxy = -10,-72
hitsound   = S1, 2
guardsound = S1,7
ground.type = Low
ground.slidetime = 16
nochainid = 3000
ground.hittime  = 18
ground.velocity = -12
ground.cornerpush.veloff = -12 ;To push far away when p2 is in corner
guard.velocity = 0
air.velocity = -12
airguard.velocity = -12
p2facing = 1
persistent = 0
getpower = 208*(!var(56)), 208*(!var(56))
givepower = 41, 13

[State 0, TargetState]
type = TargetState
trigger1 = Moveguarded
trigger1 = NumTarget
value = 5912
ignorehitpause = 0
persistent = 0

[State 1020, 7]
type = TargetState
triggerall = Time = 34
trigger1 = MoveHit
trigger1 = NumTarget
value = 1221
persistent = 0
ignorehitpause = 1

[State 1200, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;--------------------------------------------------------------------------
[Statedef 5912]
type = S
movetype = H
physics = N
sprpriority = 1
ctrl = 0

[State As Planned]
type = Changeanim2
trigger1 = Time = 1 && selfanimexist(5912)
value = 5912

[State Backup plan]
type = Changeanim2
trigger1 = Time = 0
value = 1228

[State 3210, 0]
type = ChangeAnim
triggerall = Time = 1
triggerall = SelfAnimExist(5945)
trigger1 = Authorname = "K.O.D"
trigger2 = Authorname = "K.O.D & Vans"
trigger3 = Authorname = "Vans"
trigger4 = Authorname = "H"
trigger5 = Authorname = "Jesuszilla"
trigger6 = Authorname = "Anjel"
value = 5945

[State 0, VelSet]
type = VelSet
trigger1 = Animelem = 1
x = (-3*exp((0.034760067236612898566328299631604)*(time)))

[State 0, VelSet]
type = VelSet
trigger1 = Time >= 11
x = 0

[State the end]
type = Selfstate
trigger1 = animtime = 0
value = 0
ctrl = 1
;--------------------------------------------------------------------------
[Statedef 1230]
type = S
movetype = I
physics = N
sprpriority = 1
ctrl = 0

[State 0, VelSet]
type = VelSet
trigger1 = Animelem = 1
x = (-2*exp((0.034760067236612898566328299631604)*(time)))

[State 0, VelSet]
type = VelSet
trigger1 = Time >= 11
x = 0

[State the end]
type = Selfstate
trigger1 = animtime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
; The Counter that's NOT Funky Impact
[Statedef 1240]
type    = S
movetype= A
physics = S
juggle  = 15
poweradd= -1000
velset = 0,0
anim = 1240
ctrl = 0
sprpriority = 2

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA;,NA,SA,HA,NP,SP,HP,NT,ST,HT
;time = 60
ignorehitpause = 1
persistent = 0

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,7
channel = 0

[State 0, PalFX]
type = PalFX
trigger1 = time%2 = 1
time = 1
add = 140,20,20
ignorehitpause = 1

[State 220]
type = assertspecial
trigger1 = 1
flag = unguardable

[State 1200, Shake Screen]
type = EnvShake
trigger1 = AnimElem = 5
time = 10     ;Time to shake screen
ampl = 6     ;Amount to shake
freq = 90   ;A frequency of 180 shakes the screen rapidly

[State 1200, 2]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype  = Hard
pausetime = 30,30
damage    = 55, 11
sparkno = s4001
priority  = 5
guardflag = MA
pausetime = 12,12
guard.sparkno = S4005
sparkxy = -8,-69
hitsound   = S1, 2
ground.type = Low
ground.slidetime = 16
nochainid = 3000
ground.hittime  = 18
ground.velocity = -12
ground.cornerpush.veloff = -12 ;To push far away when p2 is in corner
guard.velocity = 0
air.velocity = -12
airguard.velocity = -3.5,-4.5
p2facing = 1
getpower = 55*(!var(56)), 55*(!var(56))
givepower = 0,0

[State 1020, 7]
type = TargetState
trigger1 = MoveHit
trigger1 = NumTarget
value = 1221
persistent = 0
ignorehitpause = 1

[State 1200, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;----------------------------------------------------------------------------
;Gaudy Punch
[Statedef 1300]
type    = S
movetype= A
physics = S
juggle  = 4
velset = 0,0
anim = 1300
poweradd = 138*(!var(56))
ctrl = 0
sprpriority = 2

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,2
channel = 0

[state varset]
type = varset
trigger1 = command = "x" || command = "y"
var(5) = 1

[State 1300]
type = Changestate
trigger1 = animtime = 0
value = 1305
;------------------------------------------------------------------------
;Gaudy Punch Loop
[Statedef 1305]
type    = S
movetype= A
physics = S
juggle  = 4
velset = 0,0
anim = 1305
ctrl = 0
sprpriority = 2

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1 || Animelem = 3 || Animelem = 5 || Animelem = 7
value = 0,7
channel = -1

[State 1210, 2]
type = HitDef
trigger1 = Animelem = 1 || Animelem = 3 || Animelem = 5 || Animelem = 7
attr = S, SA
animtype  = Hard
damage    = 16, 11
priority  = 5
guardflag = MA
sparkno = S4001
guard.sparkno = S4005
pausetime = 12,12
sparkxy = 0,-65
hitsound   = S1, 2
guardsound = S1,6
ground.type = Low
ground.slidetime = 18
ground.hittime  = 20
nochainid = 3000
ground.velocity = -10
ground.cornerpush.veloff = -15 ;To push far away when p2 is in corner
guard.velocity = -8
air.velocity = -4,-4.5
airguard.velocity = -4,-4.5
getpower = 55*(!var(56)), 55*(!var(56))
givepower = 13,13

[state varset]
type = varset
trigger1 = !time
var(6) = var(5)

[state varset]
type = varset
trigger1 = command = "x" || command = "y"
var(6) = 1

[State 1010, Loop]
type=changeanim
triggerall= var(46)>0
trigger1= !animtime
trigger2= anim=1305
trigger2= var(11)!=0 && animelemtime(5)>=0
value= 1305
elem= 1

[State 1305, End]
type=changestate
trigger1= !animtime
value=1310
;----------------------------------------------------------------------------
;Gaudy Punch End
[Statedef 1310]
type    = S
movetype= I
physics = S
juggle  = 4
velset = 0,0
anim = 1310
ctrl = 0
sprpriority = 2

[State 1300]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1
